Subject: Re: bug#49106: slow load for cups /admin page

From: Maxime Devos <[email-masked]>
Date: Sat, 19 Jun 2021 10:17:29 +0200

Christopher Howard schreef op vr 18-06-2021 om 16:43 [-0800]:
> Hi, ever since I have started using Guix a few years ago,
> I have always found that the cups page at http://127.0.0.1:631/admin
> load very slowly, with nothing appearing on the Web browser page for
> something like two minutes. The home page (http://127.0.01:631) loads
> very quickly, and also other pages you select after you get to the admin
> page (e.g., modifying a printer) load quickly.

I can confirm. The home page loads within a second or two.
The admin page quickly (also after a second or so) asks for credentials
(username + passphrase), and then takes minutes to load.

I looked at /var/log/cups/access_log, and the contents is suspicious:

localhost - - [19/Jun/2021:09:58:14 +0200] "GET /admin/conf/cupsd.conf HTTP/1.1" 401 0 - -
[... 4 times repeated ...]
localhost - [... username ...] [19/Jun/2021:09:58:51 +0200] "GET /admin/conf/cupsd.conf HTTP/1.1" 200 0 - -
localhost - - [19/Jun/2021:09:58:51 +0200] "GET /admin/conf/cupsd.conf HTTP/1.1" 401 0 - -
[... 605 times repeated ...]

Also, /var/log/cups/error_log contains the following line about a hundred times
(but with a different ‘pid’ and ‘file’)

I [19/Jun/2021:10:01:13 +0200] [Client 1215] Started "/gnu/store/qqx970xzzwi3hcsisjzx77gjg4npw0j2-cups-server-bin/lib/cups/cgi-bin/admin.cgi" (pid=6959, file=206)

Also, I see the following on the admin page:

‘Unable to open cupsd.conf file:’

Seems like /gnu/store/qqx970xzzwi3hcsisjzx77gjg4npw0j2-cups-server-bin/lib/cups/cgi-bin/admin.cgi
wants to read cupsd.conf, but it is unable to, and it keeps retrying until some
kind of time-out or something.

Greetings,
Maxime.